classification
Title: Travis CI: xvfb-run: error: Xvfb failed to start
Type: Stage: resolved
Components: Versions:
process
Status: closed Resolution: fixed
Dependencies: Superseder:
Assigned To: Nosy List: matrixise, pablogsal, vstinner, xtreak
Priority: normal Keywords: patch

Created on 2018-11-14 01:19 by vstinner, last changed 2018-11-28 09:25 by vstinner. This issue is now closed.

Pull Requests
URL Status Linked Edit
PR 10752 closed vstinner, 2018-11-27 20:37
PR 10753 merged vstinner, 2018-11-27 21:13
Messages (8)
msg329881 - (view) Author: STINNER Victor (vstinner) * (Python committer) Date: 2018-11-14 01:19
Travis CI fails randomly with "xvfb-run: error: Xvfb failed to start". Example:
https://travis-ci.org/python/cpython/jobs/454776965

whereas the full test suite succeeded.
msg329883 - (view) Author: STINNER Victor (vstinner) * (Python committer) Date: 2018-11-14 01:21
Extract of .travis.yml:

    $XVFB_RUN make buildbottest TESTOPTS="-j4 -uall,-cpu"
    if [[ "$TRAVIS_OS_NAME" == "linux" ]]; then
      $XVFB_RUN make PYTHON=../python SPHINXOPTS="-q -W -j4" -C Doc/ venv doctest
    fi

I'm not sure what is xvfb, nor why it's needed to run doctests...
msg329884 - (view) Author: Pablo Galindo Salgado (pablogsal) * (Python committer) Date: 2018-11-14 01:26
xvfb is a utility that allows you to run a command in a virtual X server environment. I assume that is needed for the doctests that use the X server. I assume is related to PR9806
msg329888 - (view) Author: Karthikeyan Singaravelan (xtreak) * (Python committer) Date: 2018-11-14 04:35
Found a relevant issue but 3 years old : https://github.com/travis-ci/travis-ci/issues/4387#issuecomment-125635027

Doc PR : https://github.com/travis-ci/docs-travis-ci-com/pull/311 . The docs recommend usage of -a to select a free port.
msg330473 - (view) Author: STINNER Victor (vstinner) * (Python committer) Date: 2018-11-26 22:43
Same error: https://travis-ci.org/python/cpython/jobs/459983088
msg330555 - (view) Author: STINNER Victor (vstinner) * (Python committer) Date: 2018-11-27 20:43
"make doctest" has been added by commit 859c068e52a31e13e2b9bb6a3f861fa8c290cb0e of bpo-34962.
msg330584 - (view) Author: STINNER Victor (vstinner) * (Python committer) Date: 2018-11-28 09:24
New changeset a22df4896f6b83c8741203118790ae281716bca5 by Victor Stinner in branch 'master':
bpo-35240: Add "doctest" job to Travis CI (GH-10753)
https://github.com/python/cpython/commit/a22df4896f6b83c8741203118790ae281716bca5
msg330585 - (view) Author: STINNER Victor (vstinner) * (Python committer) Date: 2018-11-28 09:25
I created a new job to no longer run xvfb-run twice. Let's see if it works around the issue. At least, it should make Travis CI a little bit faster.
History
Date User Action Args
2019-06-24 13:18:50vstinnerlinkissue15629 superseder
2018-11-28 09:25:49vstinnersetstatus: open -> closed
resolution: fixed
messages: + msg330585

stage: patch review -> resolved
2018-11-28 09:24:12vstinnersetmessages: + msg330584
2018-11-27 21:13:10vstinnersetpull_requests: + pull_request10001
2018-11-27 20:43:10vstinnersetmessages: + msg330555
2018-11-27 20:37:48vstinnersetkeywords: + patch
stage: patch review
pull_requests: + pull_request10000
2018-11-26 22:43:57vstinnersetmessages: + msg330473
2018-11-14 04:35:55xtreaksetnosy: + xtreak
messages: + msg329888
2018-11-14 01:26:47pablogsalsetmessages: + msg329884
2018-11-14 01:21:50vstinnersetnosy: + matrixise
2018-11-14 01:21:44vstinnersetnosy: + pablogsal
messages: + msg329883
2018-11-14 01:19:39vstinnercreate